<?php 
/**
 * @package ZT Headline module 
 * @author http://www.ZooTemplate.com
 * @copyright (C) 2010- ZooTemplate.com
 * @license PHP files are GNU/GPL
**/
JHTML::_('behavior.mootools'); 
$document 	= JFactory::getDocument();
$document->addStyleSheet(JURI::base() . 'modules/mod_zt_headline/assets/css/zt_accordion.css'); 
$document->addScript(JURI::base() . 'modules/mod_zt_headline/assets/js/jquery-1.7.1.min.js');
$document->addScriptDeclaration('var Zoo = jQuery.noConflict();');
$document->addScript(JURI::base() . 'modules/mod_zt_headline/assets/js/zt_accordion.js');
$ThumbWidth = $params->get('thumbWidth');
$ThumbHeight = $params->get('thumbHeight');
$itemdisplay 	= $params->get('zt_accordion_no_item');
$itemExpand 	= $params->get('zt_accordion_item_expand', 350);  
$itemWidth = $moduleWidth/$itemdisplay;
$moduleWidth = $moduleWidth + 5;
$animSpeed = $params->get('trans_duration');
?>
<script type="text/javascript"> 
	Zoo(document).ready(function() {
		Zoo('#zt_remi<?php echo $moduleId;?>').ZT_Accordion({
		  'openDim': <?php echo $itemExpand;?>,
		  'closeDim': <?php echo $itemWidth;?>,
		  'effect': 'swing', 
		  'duration': <?php echo $animSpeed;?>, 
		  'openItem': null,
		  'position':'horizontal',
		  'fadeInTitle': true
		});
	});  
</script> 
<div id="zt_remi<?php echo $moduleId;?>" class="zt_accdisplay" style="width: <?php echo $moduleWidth;?>px;">
	<?php
	$total = count($slides);
	$i = 1;
	foreach($slides as $item){?>
	<div class="item <?php if($i==1){ echo "first"; }else if($i==$total){ echo "last"; }?>">
		<div class="preview" style="width: <?php echo $itemExpand;?>px; height: <?php echo $moduleHeight;?>px;">
			<div class="accordion-info">
				<h3><a href="<?php echo $item->link;?>" title="<?php echo $item->title; ?>"><?php echo $item->title; ?></a></h3>
				<p><?php echo $item->introtext ; ?></p>
			</div>
			<?php if($item->thumbs){?> 
				<?php if($linkimg){?>
					<a href="<?php echo $item->link;?>" title="<?php echo $item->title; ?>"><img class="accordion-image" src="<?php echo JURI::root().'modules/mod_zt_headline/timthumb.php?src='.$item->thumbs.'&amp;h='.$ThumbHeight.'&amp;w='.$ThumbWidth; ?>" alt="" title="<?php echo $item->title; ?>"/></a>
				<?php }else{?>
					<img class="accordion-image" src="<?php echo JURI::root().'modules/mod_zt_headline/timthumb.php?src='.$item->thumbs.'&amp;h='.$ThumbHeight.'&amp;w='.$ThumbWidth; ?>" alt="" title="<?php echo $item->title; ?>"/>
			<?php }
			}?> 
			<div class="bkg-shadow">
				<span><?php echo $item->title; ?></span>
			</div>			
		</div> 
	</div>
	<?php
	$i++;	
	}?>
</div>