<?php
/**
 * @package ZT Headline module 
 * @author http://www.ZooTemplate.com
 * @copyright (C) 2010- ZooTemplate.com
 * @license PHP files are GNU/GPL
**/

// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();
if(version_compare( JVERSION, '1.6.0', 'ge' )) {
	define('ZOO_JVERSION','16');
}else {
	define('ZOO_JVERSION','15');
}
if(ZOO_JVERSION=='16'){
	jimport('joomla.html.html');
	jimport('joomla.form.formfield');
	jimport('joomla.form.helper');
	JFormHelper::loadFieldClass('list');
	class JFormFieldContenttype extends JFormFieldList
	{ 
		/**
		* Element name
		*
		* @access	protected
		* @var		string
		*/
		protected	$type = 'Contenttype';
	
		function getOptions()
		{  
			$options = array ();		
			$val	= 'content';
			$text	= 'Default Content';
			$options[] = JHTML::_('select.option', $val, JText::_($text));
			if(is_dir(JPATH_SITE.DS.'components'.DS.'com_k2')){
				$val	= 'k2';
				$text	= 'K2 Content';
				$options[] = JHTML::_('select.option', $val, JText::_($text));
			}
			@array_unshift($options, JHtml::_('select.option', '0', JText::_('--Select--'), 'value', 'text', $this->value, $control_name.$this->name));
			return $options;
		}
	}
}else{
	class JElementContenttype extends JElement
	{ 
		var	$_name = 'Contenttype';
	
		function fetchElement($name, $value, &$node, $control_name)
		{
			$class = ( $node->attributes('class') ? 'class="'.$node->attributes('class').'"' : 'class="inputbox"' );
	
			$options = array ();		
			$val	= 'content';
			$text	= 'Default Content';
			$options[] = JHTML::_('select.option', $val, JText::_($text));
			if(is_dir(JPATH_SITE.DS.'components'.DS.'com_k2')){
				$val	= 'k2';
				$text	= 'K2 Content';
				$options[] = JHTML::_('select.option', $val, JText::_($text));
			}
			return JHTML::_('select.genericlist',  $options, ''.$control_name.'['.$name.']', $class, 'value', 'text', $value, $control_name.$name);
		}
	}
} 