<?php
/**
 * @package ZT Headline module 
 * @author http://www.ZooTemplate.com
 * @copyright (C) 2010- ZooTemplate.com
 * @license PHP files are GNU/GPL
**/
defined('_JEXEC') or die('Restricted access');
JHTML::_('behavior.mootools');

$document 	= JFactory::getDocument();
$document->addScript(JURI::base() . 'modules/mod_zt_headline/assets/js/jquery-1.7.1.min.js'); 
$document->addScriptDeclaration('var Zoo = jQuery.noConflict();'); 
$document->addStyleSheet(JURI::base() . 'modules/mod_zt_headline/assets/css/zt_featurelist.css');
$document->addScript(JURI::base() . 'modules/mod_zt_headline/assets/js/zt_featurelist.js');
$cssMod 	= "width:".$moduleWidth."px; height: ".$moduleHeight."px;";  
$listwidth = $params->get('zt_featurelist_list_width', 320);
$ThumbWidth = $params->get('thumbWidth');
$ThumbHeight = $params->get('thumbHeight');
$navWidth = $params->get('zt_featurelist_thumbwidth');
$navHeight = $params->get('zt_featurelist_thumbheight');
$itemHeight = $params->get('zt_featurelist_item_height');
$enableDes = $params->get('zt_featurelist_enable_description');
$mainwidth = $params->get('zt_featurelist_main_width');
$eventType = $params->get('zt_featurelist_eventtype', 1);
$pautime = $params->get('timming');
?>    
<div class="feature_list" style="<?php echo $cssMod;?>">
	<ul id="feature_tabs<?php echo $moduleId;?>" class="feature_tabs" style="width: <?php echo $listwidth;?>px;">
		<?php
		$j=0;
		foreach($slides as $item) {
		?>
		<li style="height: <?php echo $itemHeight;?>px;">
			<div class="detail">
				<img src="<?php echo JURI::root().'modules/mod_zt_headline/timthumb.php?src='.$item->thumbs.'&amp;h='.$navHeight.'&amp;w='.$navWidth; ?>">
				<span><?php echo $item->title; ?></span>
			</div>
		</li> 
		<?php
		$j++;
		}
		?> 
	</ul>
	<ul id="feature_output<?php echo $moduleId;?>" class="feature_output" style="width: <?php echo $mainwidth;?>px; height: <?php echo $ThumbHeight;?>px;">
		<?php
		$i=0;
		foreach($slides as $item) {
		?>
		<li style="display: none;" style="width: <?php echo $ThumbWidth;?>px; height: <?php echo $ThumbHeight;?>px;">
			<?php if($linkimg){?>
			<a href="<?php echo $item->link; ?>"><img src="<?php echo JURI::root().'modules/mod_zt_headline/timthumb.php?src='.$item->thumbs.'&amp;h='.$ThumbHeight.'&w='.$ThumbWidth; ?>"></a>
			<?php }else{?>
			<img src="<?php echo JURI::root().'modules/mod_zt_headline/timthumb.php?src='.$item->thumbs.'&amp;h='.$ThumbHeight.'&amp;w='.$ThumbWidth; ?>">
			<?php }?> 
			<?php if($enableDes){?>
			<p>
				<?php echo $item->introtext; ?></br>
				<a href="<?php echo $item->link; ?>"><?php echo JText::_('Read More');?></a>
			</p>
			<?php }?>
		</li> 
		<?php
		$i++;
		}
		?> 
	</ul>
</div>
<script type="text/javascript">  
	Zoo(document).ready(function() {
		Zoo.featureList(
			Zoo("#feature_tabs<?php echo $moduleId;?> li"),
			Zoo("#feature_output<?php echo $moduleId;?> li"), {
				start_item : 0,
				transition_interval: <?php echo $pautime;?>,
				eventType: <?php echo $eventType;?>
			}
		);
	}); 
</script>